unit Unit3;

interface

uses
  Windows, Messages, SysUtils, Variants, Classes, Graphics, Controls, Forms,
  Dialogs, WideStrings, DBXFirebird, FMTBcd, StdCtrls, Buttons, ExtCtrls,
  DBCtrls, Grids, DBGrids, DB, DBClient, Provider, SqlExpr, DBXTrace, DBXCommon;

type
  TForm1 = class(TForm)
    Employee: TSQLConnection;
    SQLQuery1: TSQLQuery;
    DataSetProvider1: TDataSetProvider;
    ClientDataSet1: TClientDataSet;
    DataSource1: TDataSource;
    DBGrid1: TDBGrid;
    DBNavigator1: TDBNavigator;
    BitBtn1: TBitBtn;
    ListBox1: TListBox;
    BitBtn2: TBitBtn;
    BitBtn3: TBitBtn;
    BitBtn4: TBitBtn;
    procedure BitBtn1Click(Sender: TObject);
    procedure BitBtn2Click(Sender: TObject);
    procedure BitBtn3Click(Sender: TObject);
    procedure BitBtn4Click(Sender: TObject);
    procedure FormCreate(Sender: TObject);
  private
    { Private declarations }
  public
    { Public declarations }
  end;

var
  Form1: TForm1;

implementation

{$R *.dfm}

procedure TForm1.BitBtn1Click(Sender: TObject);
begin
  ClientDataSet1.ApplyUpdates(0);
end;

procedure TForm1.BitBtn2Click(Sender: TObject);
var
  Comando: TDBXCommand;
  Leitor: TDBXReader;
begin
  Comando := Employee.DBXConnection.CreateCommand;
  Comando.CommandType := TDBXCommandTypes.DbxSQL;
  Comando.Text := 'select distinct(job_country) as job from employee';
  Leitor := Comando.ExecuteQuery;
  while Leitor.Next do
    // ListBox1.Items.Add(Leitor.Value['job'].AsString);
    ListBox1.Items.Add(Leitor.Value[0].AsString);
  Leitor.Free;
  Comando.Free;
end;

procedure TForm1.BitBtn3Click(Sender: TObject);
var
  Comando: TDBXCommand;
begin
  Comando := Employee.DBXConnection.CreateCommand;
  Comando.CommandType := TDBXCommandTypes.DbxSQL;
  Comando.Text :=
    'update employee set salary = salary + 500' + ' where emp_no = ' +
    ClientDataSet1.FieldByName('EMP_NO').AsString;
  Comando.ExecuteUpdate;
  Comando.Free;
  ClientDataSet1.Refresh;
end;

procedure TForm1.BitBtn4Click(Sender: TObject);
begin
  WinExec('notepad "C:\LogTrace.txt"', SW_SHOWNORMAL);
end;

procedure TForm1.FormCreate(Sender: TObject);
begin
  ClientDataSet1.Open;
end;

end.
